#ifndef KWEBMIN_H_
#define KWEBMIN_H_

#include <kcmodule.h>
#include <kaboutdata.h>
#include <kparts/browserextension.h>
#include <kurl.h>

class QLineEdit;
#ifdef KDE3
class KHTMLWidget;
#else // KDE2
class KHTMLPart;
#endif

class KWebmin : public KCModule
{
Q_OBJECT

public:
	KWebmin(QWidget* parent = 0, const char* name = 0);
	~KWebmin();

	QString quickHelp();
	const KAboutData* aboutData() { return _aboutData; }

protected:

	KAboutData* _aboutData;
	QLineEdit* location;
#ifdef KDE3
	KHTMLWidget* html;
#else // KDE2
	KHTMLPart* html;
#endif

protected slots:

	void openURLRequest(const KURL&, const KParts::URLArgs&);
	void changeLocation();
};

#endif // !KWEBMIN_H_

